"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testBlockClosingBraceNewline = _testUtils.ruleTester(_2["default"], _.ruleName);

testBlockClosingBraceNewline({ before: "always" }, function (tr) {
  tr.ok("a { color: pink;\n}");
  tr.ok("a { color: pink;\n\t\t}");
  tr.ok("a { color: pink;\n} b { color: red;\n}");
  tr.ok("a { color: pink;\n}b { color: red;\n}");

  tr.notOk("a { color: pink;}", _.messages.expectedBefore());
  tr.notOk("a { color: pink; }", _.messages.expectedBefore());
  tr.notOk("a { color: pink; \n}", _.messages.expectedBefore());
  tr.notOk("a { color: pink;  }", _.messages.expectedBefore());
  tr.notOk("a { color: pink;\t}", _.messages.expectedBefore());
  tr.notOk("a { color: pink;\n} b { color: red; }", _.messages.expectedBefore());
});

testBlockClosingBraceNewline({ before: "never" }, function (tr) {
  tr.ok("a { color: pink;}");
  tr.ok("a { color: pink;} b { color: red;}");
  tr.ok("a { color: pink;}b { color: red;}");

  tr.notOk("a { color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;\n}", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;  }", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;\t}", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;} b { color: red;\n}", _.messages.rejectedBefore());
});

testBlockClosingBraceNewline({ after: "always" }, function (tr) {
  tr.ok("a { color: pink; }");
  tr.ok("a { color: pink; }\nb { color: red; }");
  tr.ok("a { color: pink;}\n\t\tb { color: red;}");

  tr.notOk("a { color: pink; }b { color: red; }", _.messages.expectedAfter());
  tr.notOk("a { color: pink; } b { color: red; }", _.messages.expectedAfter());
  tr.notOk("a { color: pink; }  b { color: red; }", _.messages.expectedAfter());
  tr.notOk("a { color: pink; }\tb { color: red; }", _.messages.expectedAfter());
});

testBlockClosingBraceNewline({ after: "never" }, function (tr) {
  tr.ok("a { color: pink; }");
  tr.ok("a { color: pink; }b { color: red; }");
  tr.ok("a { color: pink;}b { color: red;}");

  tr.notOk("a { color: pink; }\nb { color: red; }", _.messages.rejectedAfter());
  tr.notOk("a { color: pink; } b { color: red; }", _.messages.rejectedAfter());
  tr.notOk("a { color: pink; }  b { color: red; }", _.messages.rejectedAfter());
  tr.notOk("a { color: pink; }\tb { color: red; }", _.messages.rejectedAfter());
});

testBlockClosingBraceNewline({ before: "always", after: "always" }, function (tr) {
  tr.ok("a { color: pink;\n}");
  tr.ok("a { color: pink;\n}\n\tb { color: red;\n  }");

  tr.notOk("a { color: pink;}\nb { color: red;\n}", _.messages.expectedBefore());
  tr.notOk("a { color: pink;\n}\nb { color: red; }", _.messages.expectedBefore());
  tr.notOk("a { color: pink;\n}b { color: red;\n}", _.messages.expectedAfter());
  tr.notOk("a { color: pink;\n} b { color: red;\n}", _.messages.expectedAfter());
});

testBlockClosingBraceNewline({ before: "always", after: "never" }, function (tr) {
  tr.ok("a { color: pink;\n}");
  tr.ok("a { color: pink;\n}b { color: red;\n  }");

  tr.notOk("a { color: pink;}b { color: red;\n}", _.messages.expectedBefore());
  tr.notOk("a { color: pink;\n}b { color: red; }", _.messages.expectedBefore());
  tr.notOk("a { color: pink;\n}   \nb { color: red;\n}", _.messages.rejectedAfter());
  tr.notOk("a { color: pink;\n} b { color: red;\n}", _.messages.rejectedAfter());
});

testBlockClosingBraceNewline({ before: "never", after: "always" }, function (tr) {
  tr.ok("a { color: pink;}");
  tr.ok("a { color: pink;}\nb { color: red;}");
  tr.ok("a { color: pink;}\n  b { color: red;}");

  tr.notOk("a { color: pink;\n}\nb { color: red;}", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;}\nb { color: red;\n}", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;}b { color: red;}", _.messages.expectedAfter());
  tr.notOk("a { color: pink;} b { color: red;}", _.messages.expectedAfter());
});

testBlockClosingBraceNewline({ before: "never", after: "never" }, function (tr) {
  tr.ok("a { color: pink;}");
  tr.ok("a { color: pink;}b { color: red;}");

  tr.notOk("a { color: pink;\n}b { color: red;}", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;}b { color: red;\n}", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;}\nb { color: red;}", _.messages.rejectedAfter());
  tr.notOk("a { color: pink;} b { color: red;}", _.messages.rejectedAfter());
});