"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testBlockClosingBraceSpace = _testUtils.ruleTester(_2["default"], _.ruleName);

testBlockClosingBraceSpace({ before: "always" }, function (tr) {
  tr.ok("a { color: pink; }");
  tr.ok("a { color: pink; } b { color: red; }");
  tr.ok("a { color: pink; }b { color: red; }");

  tr.notOk("a { color: pink;}", _.messages.expectedBefore());
  tr.notOk("a { color: pink;  }", _.messages.expectedBefore());
  tr.notOk("a { color: pink;\n}", _.messages.expectedBefore());
  tr.notOk("a { color: pink;\t}", _.messages.expectedBefore());
  tr.notOk("a { color: pink; } b { color: red;}", _.messages.expectedBefore());
});

testBlockClosingBraceSpace({ before: "never" }, function (tr) {
  tr.ok("a { color: pink;}");
  tr.ok("a { color: pink;} b { color: red;}");
  tr.ok("a { color: pink;}b { color: red;}");

  tr.notOk("a { color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;  }", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;\n}", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;\t}", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;} b { color: red; }", _.messages.rejectedBefore());
});

testBlockClosingBraceSpace({ after: "always" }, function (tr) {
  tr.ok("a { color: pink; }");
  tr.ok("a { color: pink; } b { color: red; }");
  tr.ok("a { color: pink;} b { color: red;}");

  tr.notOk("a { color: pink; }b { color: red; }", _.messages.expectedAfter());
  tr.notOk("a { color: pink; }  b { color: red; }", _.messages.expectedAfter());
  tr.notOk("a { color: pink; }\nb { color: red; }", _.messages.expectedAfter());
  tr.notOk("a { color: pink; }\tb { color: red; }", _.messages.expectedAfter());
});

testBlockClosingBraceSpace({ after: "never" }, function (tr) {
  tr.ok("a { color: pink; }");
  tr.ok("a { color: pink; }b { color: red; }");
  tr.ok("a { color: pink;}b { color: red;}");

  tr.notOk("a { color: pink; } b { color: red; }", _.messages.rejectedAfter());
  tr.notOk("a { color: pink; }  b { color: red; }", _.messages.rejectedAfter());
  tr.notOk("a { color: pink; }\nb { color: red; }", _.messages.rejectedAfter());
  tr.notOk("a { color: pink; }\tb { color: red; }", _.messages.rejectedAfter());
});

testBlockClosingBraceSpace({ before: "always", after: "always" }, function (tr) {
  tr.ok("a { color: pink; }");
  tr.ok("a { color: pink; } b { color: red; }");

  tr.notOk("a { color: pink;} b { color: red; }", _.messages.expectedBefore());
  tr.notOk("a { color: pink; } b { color: red;\n}", _.messages.expectedBefore());
  tr.notOk("a { color: pink; }b { color: red; }", _.messages.expectedAfter());
  tr.notOk("a { color: pink; }\nb { color: red; }", _.messages.expectedAfter());
});

testBlockClosingBraceSpace({ before: "never", after: "always" }, function (tr) {
  tr.ok("a { color: pink;}");
  tr.ok("a { color: pink;} b { color: red;}");

  tr.notOk("a { color: pink; } b { color: red;}", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;} b { color: red;\n}", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;}b { color: red;}", _.messages.expectedAfter());
  tr.notOk("a { color: pink;}\nb { color: red;}", _.messages.expectedAfter());
});

testBlockClosingBraceSpace({ before: "always", after: "never" }, function (tr) {
  tr.ok("a { color: pink; }");
  tr.ok("a { color: pink; }b { color: red; }");

  tr.notOk("a { color: pink;}b { color: red; }", _.messages.expectedBefore());
  tr.notOk("a { color: pink; }b { color: red;\n}", _.messages.expectedBefore());
  tr.notOk("a { color: pink; } b { color: red; }", _.messages.rejectedAfter());
  tr.notOk("a { color: pink; }\nb { color: red; }", _.messages.rejectedAfter());
});

testBlockClosingBraceSpace({ before: "never", after: "never" }, function (tr) {
  tr.ok("a { color: pink;}");
  tr.ok("a { color: pink;}b { color: red;}");

  tr.notOk("a { color: pink; }b { color: red;}", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;}b { color: red;\n}", _.messages.rejectedBefore());
  tr.notOk("a { color: pink;} b { color: red;}", _.messages.rejectedAfter());
  tr.notOk("a { color: pink;}\nb { color: red;}", _.messages.rejectedAfter());
});