"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testBlockOpeningBraceNewline = _testUtils.ruleTester(_2["default"], _.ruleName);

testBlockOpeningBraceNewline({ before: "always" }, function (tr) {
  tr.ok("a\n{ color: pink; }");
  tr.ok("a\n{color: pink; }");
  tr.ok("@media print\n{ a\n{ color: pink; } }");
  tr.ok("@media print\n{a\n{color: pink; } }");

  tr.notOk("a { color: pink; }", _.messages.expectedBefore());
  tr.notOk("a{ color: pink; }", _.messages.expectedBefore());
  tr.notOk("a  { color: pink; }", _.messages.expectedBefore());
  tr.notOk("a\t{ color: pink; }", _.messages.expectedBefore());
  tr.notOk("@media print { a\n{ color: pink; } }", _.messages.expectedBefore());
  tr.notOk("@media print\n{ a { color: pink; } }", _.messages.expectedBefore());
  tr.notOk("@media print{ a\n{ color: pink; } }", _.messages.expectedBefore());
  tr.notOk("@media print\n{ a{ color: pink; } }", _.messages.expectedBefore());
});

testBlockOpeningBraceNewline({ after: "always" }, function (tr) {
  tr.ok("a {\ncolor: pink; }");
  tr.ok("a{\ncolor: pink; }");
  tr.ok("a{\n\tcolor: pink; }");
  tr.ok("a{\n  color: pink; }");
  tr.ok("@media print {\na {\ncolor: pink; } }");
  tr.ok("@media print{\na{\ncolor: pink; } }");
  tr.ok("@media print{\n\ta{\n  color: pink; } }");

  tr.notOk("a { color: pink; }", _.messages.expectedAfter());
  tr.notOk("a {color: pink; }", _.messages.expectedAfter());
  tr.notOk("a {  color: pink; }", _.messages.expectedAfter());
  tr.notOk("a {\tcolor: pink; }", _.messages.expectedAfter());
  tr.notOk("@media print { a {\ncolor: pink; } }", _.messages.expectedAfter());
  tr.notOk("@media print {\na { color: pink; } }", _.messages.expectedAfter());
});

testBlockOpeningBraceNewline({ before: "never" }, function (tr) {
  tr.ok("a{ color: pink; }");
  tr.ok("a{color: pink; }");
  tr.ok("@media print{ a{ color: pink; } }");
  tr.ok("@media print{a{color: pink; } }");

  tr.notOk("a { color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a\n{ color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a  { color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a\t{ color: pink; }", _.messages.rejectedBefore());
  tr.notOk("@media print\n{ a{ color: pink; } }", _.messages.rejectedBefore());
  tr.notOk("@media print{ a\n{ color: pink; } }", _.messages.rejectedBefore());
});

testBlockOpeningBraceNewline({ after: "never" }, function (tr) {
  tr.ok("a {color: pink; }");
  tr.ok("a{color: pink; }");
  tr.ok("@media print {a {color: pink; } }");
  tr.ok("@media print{a{color: pink; } }");

  tr.notOk("a { color: pink; }", _.messages.rejectedAfter());
  tr.notOk("a {\ncolor: pink; }", _.messages.rejectedAfter());
  tr.notOk("a {  color: pink; }", _.messages.rejectedAfter());
  tr.notOk("a {\tcolor: pink; }", _.messages.rejectedAfter());
  tr.notOk("@media print {\na {color: pink; } }", _.messages.rejectedAfter());
  tr.notOk("@media print {a {\ncolor: pink; } }", _.messages.rejectedAfter());
});

testBlockOpeningBraceNewline({ before: "always", after: "always" }, function (tr) {
  tr.ok("a\n{\ncolor: pink; }");
  tr.ok("a\n{\n\tcolor: pink; }");
  tr.ok("@media print\n{\na\n{\ncolor: pink; } }");
  tr.ok("@media print\n{\n  a\n{\n  color: pink; } }");

  tr.notOk("a{\ncolor: pink; }", _.messages.expectedBefore());
  tr.notOk("a {\ncolor: pink; }", _.messages.expectedBefore());
  tr.notOk("a\n{color: pink; }", _.messages.expectedAfter());
  tr.notOk("a\n{ color: pink; }", _.messages.expectedAfter());
  tr.notOk("@media print\n{ a\n{\ncolor: pink; } }", _.messages.expectedAfter());
  tr.notOk("@media print {\na\n{\ncolor: pink; } }", _.messages.expectedBefore());
  tr.notOk("@media print\n{\na\n{ color: pink; } }", _.messages.expectedAfter());
  tr.notOk("@media print\n{\na {\ncolor: pink; } }", _.messages.expectedBefore());
});

testBlockOpeningBraceNewline({ before: "always", after: "never" }, function (tr) {
  tr.ok("a\n{color: pink; }");
  tr.ok("@media print\n{a\n{color: pink; } }");

  tr.notOk("a{color: pink; }", _.messages.expectedBefore());
  tr.notOk("a {color: pink; }", _.messages.expectedBefore());
  tr.notOk("a\n{\ncolor: pink; }", _.messages.rejectedAfter());
  tr.notOk("a\n{ color: pink; }", _.messages.rejectedAfter());
  tr.notOk("@media print\n{ a\n{color: pink; } }", _.messages.rejectedAfter());
  tr.notOk("@media print {a\n{color: pink; } }", _.messages.expectedBefore());
  tr.notOk("@media print\n{a\n{ color: pink; } }", _.messages.rejectedAfter());
  tr.notOk("@media print\n{a {color: pink; } }", _.messages.expectedBefore());
});

testBlockOpeningBraceNewline({ before: "never", after: "always" }, function (tr) {
  tr.ok("a{\ncolor: pink; }");
  tr.ok("a{\n  color: pink; }");
  tr.ok("a{\n\tcolor: pink; }");
  tr.ok("@media print{\na{\ncolor: pink; } }");
  tr.ok("@media print{\n  a{\n  color: pink; } }");
  tr.ok("@media print{\n\ta{\n\tcolor: pink; } }");

  tr.notOk("a\n{\ncolor: pink; }", _.messages.rejectedBefore());
  tr.notOk("a {\ncolor: pink; }", _.messages.rejectedBefore());
  tr.notOk("a{ color: pink; }", _.messages.expectedAfter());
  tr.notOk("a{color: pink; }", _.messages.expectedAfter());
  tr.notOk("@media print{ a{\ncolor: pink; } }", _.messages.expectedAfter());
  tr.notOk("@media print\n{\na{\ncolor: pink; } }", _.messages.rejectedBefore());
  tr.notOk("@media print{\na{ color: pink; } }", _.messages.expectedAfter());
  tr.notOk("@media print{\na\n{\ncolor: pink; } }", _.messages.rejectedBefore());
});

testBlockOpeningBraceNewline({ before: "never", after: "never" }, function (tr) {
  tr.ok("a{color: pink; }");
  tr.ok("@media print{a{color: pink; } }");

  tr.notOk("a\n{color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a {color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a{\ncolor: pink; }", _.messages.rejectedAfter());
  tr.notOk("a{ color: pink; }", _.messages.rejectedAfter());
  tr.notOk("@media print{\na{color: pink; } }", _.messages.rejectedAfter());
  tr.notOk("@media print\n{a{color: pink; } }", _.messages.rejectedBefore());
  tr.notOk("@media print{a{\ncolor: pink; } }", _.messages.rejectedAfter());
  tr.notOk("@media print{a\n{color: pink; } }", _.messages.rejectedBefore());
});