"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testBlockOpeningBraceSpace = _testUtils.ruleTester(_2["default"], _.ruleName);

testBlockOpeningBraceSpace({ before: "always" }, function (tr) {
  tr.ok("a { color: pink; }");
  tr.ok("@media print { a { color: pink; } }");

  tr.notOk("a{ color: pink; }", _.messages.expectedBefore());
  tr.notOk("a  { color: pink; }", _.messages.expectedBefore());
  tr.notOk("a\t{ color: pink; }", _.messages.expectedBefore());
  tr.notOk("a\n{ color: pink; }", _.messages.expectedBefore());
  tr.notOk("@media print\n{ a { color: pink; } }", _.messages.expectedBefore());
  tr.notOk("@media print { a\n{ color: pink; } }", _.messages.expectedBefore());
});

testBlockOpeningBraceSpace({ before: "never" }, function (tr) {
  tr.ok("a{ color: pink; }");
  tr.ok("@media print{ a{ color: pink; } }");

  tr.notOk("a { color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a  { color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a\t{ color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a\n{ color: pink; }", _.messages.rejectedBefore());
  tr.notOk("@media print { a{ color: pink; } }", _.messages.rejectedBefore());
  tr.notOk("@media print{ a { color: pink; } }", _.messages.rejectedBefore());
});

testBlockOpeningBraceSpace({ after: "always" }, function (tr) {
  tr.ok("a { color: pink; }");
  tr.ok("@media print { a { color: pink; } }");

  tr.notOk("a {color: pink; }", _.messages.expectedAfter());
  tr.notOk("a {  color: pink; }", _.messages.expectedAfter());
  tr.notOk("a {\tcolor: pink; }", _.messages.expectedAfter());
  tr.notOk("a {\ncolor: pink; }", _.messages.expectedAfter());
  tr.notOk("@media print {\na { color: pink; } }", _.messages.expectedAfter());
  tr.notOk("@media print { a {\ncolor: pink; } }", _.messages.expectedAfter());
});

testBlockOpeningBraceSpace({ after: "never" }, function (tr) {
  tr.ok("a {color: pink; }");
  tr.ok("@media print {a {color: pink; } }");

  tr.notOk("a { color: pink; }", _.messages.rejectedAfter());
  tr.notOk("a {  color: pink; }", _.messages.rejectedAfter());
  tr.notOk("a {\tcolor: pink; }", _.messages.rejectedAfter());
  tr.notOk("a {\ncolor: pink; }", _.messages.rejectedAfter());
  tr.notOk("@media print {\na {color: pink; } }", _.messages.rejectedAfter());
  tr.notOk("@media print {a {\ncolor: pink; } }", _.messages.rejectedAfter());
});

testBlockOpeningBraceSpace({ before: "always", after: "always" }, function (tr) {
  tr.ok("a { color: pink; }");
  tr.ok("@media print { a { color: pink; } }");

  tr.notOk("a{ color: pink; }", _.messages.expectedBefore());
  tr.notOk("a\n{ color: pink; }", _.messages.expectedBefore());
  tr.notOk("a {color: pink; }", _.messages.expectedAfter());
  tr.notOk("a {\ncolor: pink; }", _.messages.expectedAfter());
  tr.notOk("@media print {\na { color: pink; } }", _.messages.expectedAfter());
  tr.notOk("@media print\n{ a { color: pink; } }", _.messages.expectedBefore());
  tr.notOk("@media print { a {\ncolor: pink; } }", _.messages.expectedAfter());
  tr.notOk("@media print { a\n{ color: pink; } }", _.messages.expectedBefore());
});

testBlockOpeningBraceSpace({ before: "always", after: "never" }, function (tr) {
  tr.ok("a {color: pink; }");
  tr.ok("@media print {a {color: pink; } }");

  tr.notOk("a{color: pink; }", _.messages.expectedBefore());
  tr.notOk("a\n{color: pink; }", _.messages.expectedBefore());
  tr.notOk("a  {color: pink; }", _.messages.expectedBefore());
  tr.notOk("a\n{color: pink; }", _.messages.expectedBefore());
  tr.notOk("a { color: pink; }", _.messages.rejectedAfter());
  tr.notOk("a {\ncolor: pink; }", _.messages.rejectedAfter());
  tr.notOk("@media print {a { color: pink; } }", _.messages.rejectedAfter());
  tr.notOk("@media print { a {color: pink; } }", _.messages.rejectedAfter());
  tr.notOk("@media print {a{color: pink; } }", _.messages.expectedBefore());
  tr.notOk("@media print{a {color: pink; } }", _.messages.expectedBefore());
});

testBlockOpeningBraceSpace({ before: "never", after: "always" }, function (tr) {
  tr.ok("a{ color: pink; }");
  tr.ok("@media print{ a{ color: pink; } }");

  tr.notOk("a { color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a\n{ color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a{color: pink; }", _.messages.expectedAfter());
  tr.notOk("a{  color: pink; }", _.messages.expectedAfter());
  tr.notOk("a{\ncolor: pink; }", _.messages.expectedAfter());
  tr.notOk("@media print{a{ color: pink; } }", _.messages.expectedAfter());
  tr.notOk("@media print{ a{color: pink; } }", _.messages.expectedAfter());
  tr.notOk("@media print { a{ color: pink; } }", _.messages.rejectedBefore());
  tr.notOk("@media print{ a { color: pink; } }", _.messages.rejectedBefore());
});

testBlockOpeningBraceSpace({ before: "never", after: "never" }, function (tr) {
  tr.ok("a{color: pink; }");
  tr.ok("@media print{a{color: pink; } }");

  tr.notOk("a {color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a\n{color: pink; }", _.messages.rejectedBefore());
  tr.notOk("a{ color: pink; }", _.messages.rejectedAfter());
  tr.notOk("a{\ncolor: pink; }", _.messages.rejectedAfter());
  tr.notOk("@media print{a{ color: pink; } }", _.messages.rejectedAfter());
  tr.notOk("@media print{ a{color: pink; } }", _.messages.rejectedAfter());
  tr.notOk("@media print {a{color: pink; } }", _.messages.rejectedBefore());
  tr.notOk("@media print{a {color: pink; } }", _.messages.rejectedBefore());
});