"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  tr.ok("a {}");
  tr.ok("a::before { content: \"foo,bar,baz\"; }");
  tr.ok("a::before { content: attr(data-foo,\"baz\"); }");
  tr.ok("a::before { background: url('foo,bar,baz'); }");
  tr.ok("a { transform: translate(1,1); }");
  tr.ok("a { background-size: 0 , 0; }");
  tr.ok("a { background-size: 0 ,0; }");

  tr.notOk("a { background-size: 0, 0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0  , 0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0\n, 0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0\t, 0; }", _.messages.expectedBefore());
});

testRule("never", function (tr) {
  tr.ok("a {}");
  tr.ok("a::before { content: \"foo ,bar ,baz\"; }");
  tr.ok("a::before { content: attr(data-foo ,\"baz\"); }");
  tr.ok("a::before { background: url('foo ,bar ,baz'); }");
  tr.ok("a { transform: translate(1 ,1); }");
  tr.ok("a { background-size: 0, 0; }");
  tr.ok("a { background-size: 0,0; }");

  tr.notOk("a { background-size: 0 , 0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0  , 0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0\n, 0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0\t, 0; }", _.messages.rejectedBefore());
});