"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testDeclarationCommaSpace = _testUtils.ruleTester(_2["default"], _.ruleName);

testDeclarationCommaSpace({ before: "always" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { transform: translate(1,1); }");
  tr.ok("a { background-size: 0 , 0; }");
  tr.ok("a { background-size: 0 ,0; }");

  tr.notOk("a { background-size: 0, 0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0  , 0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0\n, 0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0\t, 0; }", _.messages.expectedBefore());
});

testDeclarationCommaSpace({ before: "never" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { transform: translate(1 ,1); }");
  tr.ok("a { background-size: 0, 0; }");
  tr.ok("a { background-size: 0,0; }");

  tr.notOk("a { background-size: 0 , 0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0  , 0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0\n, 0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0\t, 0; }", _.messages.rejectedBefore());
});

testDeclarationCommaSpace({ after: "always" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { transform: translate(1,1); }");
  tr.ok("a { background-size: 0 , 0; }");
  tr.ok("a { background-size: 0, 0; }");

  tr.notOk("a { background-size: 0,0; }", _.messages.expectedAfter());
  tr.notOk("a { background-size: 0,  0; }", _.messages.expectedAfter());
  tr.notOk("a { background-size: 0,\n0; }", _.messages.expectedAfter());
  tr.notOk("a { background-size: 0,\t0; }", _.messages.expectedAfter());
});

testDeclarationCommaSpace({ after: "never" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { transform: translate(1, 1); }");
  tr.ok("a { background-size: 0 ,0; }");
  tr.ok("a { background-size: 0,0; }");

  tr.notOk("a { background-size: 0, 0; }", _.messages.rejectedAfter());
  tr.notOk("a { background-size: 0,  0; }", _.messages.rejectedAfter());
  tr.notOk("a { background-size: 0,\n0; }", _.messages.rejectedAfter());
  tr.notOk("a { background-size: 0,\t0; }", _.messages.rejectedAfter());
});

testDeclarationCommaSpace({ before: "always", after: "always" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { transform: translate(1,1); }");
  tr.ok("a { background-size: 0 , 0; }");

  tr.notOk("a { background-size: 0, 0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0  , 0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0\n, 0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0\t, 0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0 ,0; }", _.messages.expectedAfter());
  tr.notOk("a { background-size: 0 ,  0; }", _.messages.expectedAfter());
  tr.notOk("a { background-size: 0 ,\n0; }", _.messages.expectedAfter());
  tr.notOk("a { background-size: 0 ,\t0; }", _.messages.expectedAfter());
});

testDeclarationCommaSpace({ before: "always", after: "never" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { transform: translate(1, 1); }");
  tr.ok("a { background-size: 0 ,0; }");

  tr.notOk("a { background-size: 0,0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0  ,0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0\n,0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0\t,0; }", _.messages.expectedBefore());
  tr.notOk("a { background-size: 0 , 0; }", _.messages.rejectedAfter());
  tr.notOk("a { background-size: 0 ,  0; }", _.messages.rejectedAfter());
  tr.notOk("a { background-size: 0 ,\n0; }", _.messages.rejectedAfter());
  tr.notOk("a { background-size: 0 ,\t0; }", _.messages.rejectedAfter());
});

testDeclarationCommaSpace({ before: "never", after: "always" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { transform: translate(1 ,1); }");
  tr.ok("a { background-size: 0, 0; }");

  tr.notOk("a { background-size: 0 , 0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0  , 0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0\n, 0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0\t, 0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0,0; }", _.messages.expectedAfter());
  tr.notOk("a { background-size: 0,  0; }", _.messages.expectedAfter());
  tr.notOk("a { background-size: 0,\n0; }", _.messages.expectedAfter());
  tr.notOk("a { background-size: 0,\t0; }", _.messages.expectedAfter());
});

testDeclarationCommaSpace({ before: "never", after: "never" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { transform: translate(1 , 1); }");
  tr.ok("a { background-size: 0,0; }");

  tr.notOk("a { background-size: 0 ,0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0  ,0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0\n,0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0\t,0; }", _.messages.rejectedBefore());
  tr.notOk("a { background-size: 0, 0; }", _.messages.rejectedAfter());
  tr.notOk("a { background-size: 0,  0; }", _.messages.rejectedAfter());
  tr.notOk("a { background-size: 0,\n0; }", _.messages.rejectedAfter());
  tr.notOk("a { background-size: 0,\t0; }", _.messages.rejectedAfter());
});