"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  tr.ok("a {}");
  tr.ok("a { color: pink;\n}");
  tr.ok("a::before { content: \";a\";\n}");
  tr.ok("a { color: pink;\ntop: 0; }", "space between trailing semicolon and closing brace");
  tr.ok("a { color: pink;\ntop: 0;}", "no space between trailing semicolon and closing brace");
  tr.ok("a { color: pink;\ntop: 0}");

  tr.notOk("a { color: pink;top: 0; }", _.messages.expectedAfter());
  tr.notOk("a { color: pink; top: 0; }", _.messages.expectedAfter());
  tr.notOk("a { color: pink; top: 0; }", _.messages.expectedAfter());
  tr.notOk("a { color: pink;\ttop: 0; }", _.messages.expectedAfter());
});

testRule("never", function (tr) {
  tr.ok("a {}");
  tr.ok("a { color: pink; }");
  tr.ok("a::before { content: \";\na\"; }");
  tr.ok("a { color: pink;top: 0; }", "space between trailing semicolon and closing brace");
  tr.ok("a { color: pink;top: 0;}", "no space between trailing semicolon and closing brace");

  tr.notOk("a { color: pink; top: 0; }", _.messages.rejectedAfter());
  tr.notOk("a { color: pink;  top: 0; }", _.messages.rejectedAfter());
  tr.notOk("a { color: pink;\ntop: 0; }", _.messages.rejectedAfter());
  tr.notOk("a { color: pink;\ttop: 0; }", _.messages.rejectedAfter());
});

testRule("always-multi-line", function (tr) {
  tr.ok("a {}");
  tr.ok("a {\ncolor: pink;\n}");
  tr.ok("a::before {\ncontent: \";a\";\n}");
  tr.ok("a {\ncolor: pink;\ntop: 0; }", "space between trailing semicolon and closing brace");
  tr.ok("a {\ncolor: pink;\ntop: 0;}", "no space between trailing semicolon and closing brace");

  // Ignore single-line
  tr.ok("a { color: pink; top: 0; }");

  tr.notOk("a {\ncolor: pink;top: 0;\n}", _.messages.expectedAfterMultiLine());
  tr.notOk("a {\ncolor: pink; top: 0;\n}", _.messages.expectedAfterMultiLine());
  tr.notOk("a {\ncolor: pink; top: 0;\n}", _.messages.expectedAfterMultiLine());
  tr.notOk("a {\ncolor: pink;\ttop: 0;\n}", _.messages.expectedAfterMultiLine());
});

testRule("never-multi-line", function (tr) {
  tr.ok("a {}");
  tr.ok("a {\ncolor: pink;\n}");
  tr.ok("a::before {\ncontent: \";\na\";\n}");
  tr.ok("a {\ncolor: pink;top: 0; }", "space between trailing semicolon and closing brace");
  tr.ok("a {\ncolor: pink;top: 0;}", "no space between trailing semicolon and closing brace");

  // Ignore single-line
  tr.ok("a { color: pink; top: 0; }");

  tr.notOk("a {\ncolor: pink; top: 0;\n}", _.messages.rejectedAfterMultiLine());
  tr.notOk("a {\ncolor: pink;  top: 0;\n}", _.messages.rejectedAfterMultiLine());
  tr.notOk("a {\ncolor: pink;\ntop: 0;\n}", _.messages.rejectedAfterMultiLine());
  tr.notOk("a {\ncolor: pink;\ttop: 0;\n}", _.messages.rejectedAfterMultiLine());
});