"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  tr.ok("a {}");
  tr.ok("a { color: pink\n; }");
  tr.ok("a::before { content: \";a\"\n; }");
  tr.ok("a { color: pink\n;top: 0 }");
  tr.ok("a { color: pink\n;top: 0}");

  tr.notOk("a { color: pink;top: 0 }", _.messages.expectedBefore());
  tr.notOk("a { color: pink ;top: 0 }", _.messages.expectedBefore());
  tr.notOk("a { color: pink  ;top: 0 }", _.messages.expectedBefore());
  tr.notOk("a { color: pink\t;top: 0 }", _.messages.expectedBefore());
});

testRule("never", function (tr) {
  tr.ok("a {}");
  tr.ok("a { color: pink; }");
  tr.ok("a::before { content: \";a\"; }");
  tr.ok("a { color: pink;top: 0 }");
  tr.ok("a { color: pink;top: 0}");

  tr.notOk("a { color: pink\n;top: 0 }", _.messages.rejectedBefore());
  tr.notOk("a { color: pink ;top: 0 }", _.messages.rejectedBefore());
  tr.notOk("a { color: pink  ;top: 0 }", _.messages.rejectedBefore());
  tr.notOk("a { color: pink\t;top: 0 }", _.messages.rejectedBefore());
});

testRule("always-multi-line", function (tr) {
  tr.ok("a {}");
  tr.ok("a {\ncolor: pink\n; }");
  tr.ok("a::before {\ncontent: \";a\"\n; }");
  tr.ok("a {\ncolor: pink\n;top: 0 }");
  tr.ok("a {\ncolor: pink\n;top: 0}");

  // Ignore single-line
  tr.ok("a { color: pink;top: 0; }");

  tr.notOk("a {\ncolor: pink;top: 0\n}", _.messages.expectedBeforeMultiLine());
  tr.notOk("a {\ncolor: pink ;top: 0\n}", _.messages.expectedBeforeMultiLine());
  tr.notOk("a {\ncolor: pink  ;top: 0\n}", _.messages.expectedBeforeMultiLine());
  tr.notOk("a {\ncolor: pink\t;top: 0\n}", _.messages.expectedBeforeMultiLine());
});

testRule("never-multi-line", function (tr) {
  tr.ok("a {}");
  tr.ok("a {\ncolor: pink;\n}");
  tr.ok("a::before {\ncontent: \";a\";\n}");
  tr.ok("a {\ncolor: pink;\ntop: 0 }");
  tr.ok("a {\ncolor: pink;\ntop: 0}");

  // Ignore single-line
  tr.ok("a { color: pink; top: 0; }");

  tr.notOk("a {\ncolor: pink\n;top: 0\n}", _.messages.rejectedBeforeMultiLine());
  tr.notOk("a {\ncolor: pink ;top: 0\n}", _.messages.rejectedBeforeMultiLine());
  tr.notOk("a {\ncolor: pink  ;top: 0\n}", _.messages.rejectedBeforeMultiLine());
  tr.notOk("a {\ncolor: pink\t;top: 0\n}", _.messages.rejectedBeforeMultiLine());
});