"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "eol-no-whitespace";

exports.ruleName = ruleName;
var messages = _utils.ruleMessages(ruleName, {
  rejected: function rejected(line) {
    return "Unexpected whitespace at end of line " + line;
  } });

exports.messages = messages;
var whitespacesToReject = [" ", "\t"];

exports["default"] = function () {
  return function (css, result) {
    var lineCount = 0;
    var rootString = css.source.input.css;
    _utils.styleSearch({ source: rootString, target: ["\n", "\r"] }, function (index) {
      lineCount++;
      if (whitespacesToReject.indexOf(rootString[index - 1]) !== -1) {
        result.warn(messages.rejected(lineCount), { node: css });
      }
    });
  };
};