"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testSelectorCombinatorSpace = _testUtils.ruleTester(_2["default"], _.ruleName);

testSelectorCombinatorSpace({ before: "always" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { background-size: 0, 0, 0; }");
  tr.ok("a { transform: translate(1 , 1); }");
  tr.ok("a { transform: translate(1 ,1); }");
  tr.ok("a { transform: color(rgb(0 , 0 ,0) lightness(50%)); }");

  tr.notOk("a { transform: translate(1, 1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1  , 1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1\n, 1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1\t, 1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: color(rgb(0 , 0, 0) lightness(50%)); }", _.messages.expectedBefore());
});

testSelectorCombinatorSpace({ after: "always" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { background-size: 0,0,0; }");
  tr.ok("a { transform: translate(1 , 1); }");
  tr.ok("a { transform: translate(1, 1); }");
  tr.ok("a { transform: color(rgb(0 , 0, 0) lightness(50%)); }");

  tr.notOk("a { transform: translate(1,1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: translate(1,  1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: translate(1,\n1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: translate(1,\t1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: color(rgb(0 , 0 ,0) lightness(50%)); }", _.messages.expectedAfter());
});

testSelectorCombinatorSpace({ before: "never" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { background-size: 0 , 0 , 0; }");
  tr.ok("a { transform: translate(1, 1); }");
  tr.ok("a { transform: translate(1,1); }");
  tr.ok("a { transform: color(rgb(0, 0,0) lightness(50%)); }");

  tr.notOk("a { transform: translate(1 , 1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1  , 1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1\n, 1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1\t, 1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: color(rgb(0, 0 , 0) lightness(50%)); }", _.messages.rejectedBefore());
});

testSelectorCombinatorSpace({ after: "never" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { background-size: 0, 0, 0; }");
  tr.ok("a { transform: translate(1 ,1); }");
  tr.ok("a { transform: translate(1,1); }");
  tr.ok("a { transform: color(rgb(0 ,0,0) lightness(50%)); }");

  tr.notOk("a { transform: translate(1, 1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: translate(1,  1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: translate(1,\n1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: translate(1,\t1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: color(rgb(0 , 0 ,0) lightness(50%)); }", _.messages.rejectedAfter());
});

testSelectorCombinatorSpace({ before: "always", after: "always" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { background-size: 0,0,0; }");
  tr.ok("a { transform: translate(1 , 1); }");
  tr.ok("a { transform: color(rgb(0 , 0 , 0) lightness(50%)); }");

  tr.notOk("a { transform: translate(1, 1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1  , 1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1\n, 1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1\t, 1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: color(rgb(0 , 0, 0) lightness(50%)); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1 ,1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: translate(1 ,  1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: translate(1 ,\n1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: translate(1 ,\t1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: color(rgb(0 , 0 ,0) lightness(50%)); }", _.messages.expectedAfter());
});

testSelectorCombinatorSpace({ before: "always", after: "never" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { background-size: 0 ,0 ,0; }");
  tr.ok("a { transform: translate(1 ,1); }");
  tr.ok("a { transform: color(rgb(0 ,0 ,0) lightness(50%)); }");

  tr.notOk("a { transform: translate(1,1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1  ,1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1\n,1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1\t,1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: color(rgb(0 ,0,0) lightness(50%)); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1 ,  1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: translate(1 ,\n1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: translate(1 ,\t1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: color(rgb(0 ,0 , 0) lightness(50%)); }", _.messages.rejectedAfter());
});

testSelectorCombinatorSpace({ before: "never", after: "always" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { background-size: 0 ,0 ,0; }");
  tr.ok("a { transform: translate(1, 1); }");
  tr.ok("a { transform: color(rgb(0, 0, 0) lightness(50%)); }");

  tr.notOk("a { transform: translate(1 , 1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1  , 1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1\n, 1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1\t, 1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: color(rgb(0, 0 , 0) lightness(50%)); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1,1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: translate(1,  1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: translate(1,\n1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: translate(1,\t1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: color(rgb(0, 0,0) lightness(50%)); }", _.messages.expectedAfter());
});

testSelectorCombinatorSpace({ before: "never", after: "never" }, function (tr) {
  tr.ok("a {}");
  tr.ok("a { background-size: 0 , 0 , 0; }");
  tr.ok("a { transform: translate(1,1); }");
  tr.ok("a { transform: color(rgb(0,0,0) lightness(50%)); }");

  tr.notOk("a { transform: translate(1 ,1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1  ,1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1\n,1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1\t,1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: color(rgb(0,0 ,0) lightness(50%)); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1, 1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: translate(1,  1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: translate(1,\n1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: translate(1,\t1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: color(rgb(0,0, 0) lightness(50%)); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: color(rgb(0,0, 0) lightness(50%)); }", _.messages.rejectedAfter());
});