"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule(null, function (tr) {
  tr.ok("a {}");
  tr.ok("a::before { content: \"var (--a) var\n(--a)\"; }");
  tr.ok("a::before { background: url('var (--hoot) color (blue)'); }");
  tr.ok("a::before { content: attr(data-foo); }");
  tr.ok("a { transform: translate(1, 1); }");
  tr.ok("a { color: color(rgb(0, 0, 0) lightness(50%)) }");

  tr.notOk("a { transform: translate (1, 1); }", _.messages.rejected);
  tr.notOk("a::before { content: attr (data-foo); }", _.messages.rejected);
  tr.notOk("a { transform: translate  (1, 1); }", _.messages.rejected);
  tr.notOk("a { transform: translate\n(1, 1); }", _.messages.rejected);
  tr.notOk("a { transform: translate\t(1, 1); }", _.messages.rejected);
  tr.notOk("a { color: color (rgb(0, 0, 0) lightness(50%)); }", _.messages.rejected);
  tr.notOk("a { color: color(rgb (0, 0, 0) lightness(50%)); }", _.messages.rejected);
  tr.notOk("a { color: color(rgb(0, 0, 0) lightness (50%)); }", _.messages.rejected);
});