"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  tr.ok("a {}");
  tr.ok("a { color: pink; }");
  tr.ok("a { color: pink; }");
  tr.ok("a::before { content: \";a\"; }");
  tr.ok("a { color: pink; top: 0;}", "no space between trailing semicolon and closing brace");
  tr.ok("a { color: pink; top: 0}");

  tr.notOk("a { color: pink;top: 0; }", _.messages.expectedAfter());
  tr.notOk("a { color: pink;  top: 0; }", _.messages.expectedAfter());
  tr.notOk("a { color: pink;\ntop: 0; }", _.messages.expectedAfter());
  tr.notOk("a { color: pink;\ttop: 0; }", _.messages.expectedAfter());
});

testRule("never", function (tr) {
  tr.ok("a {}");
  tr.ok("a { color: pink; }");
  tr.ok("a::before { content: \"; a\"; }");
  tr.ok("a { color: pink;top: 0; }", "space between trailing semicolon and closing brace");

  tr.notOk("a { color: pink; top: 0; }", _.messages.rejectedAfter());
  tr.notOk("a { color: pink;  top: 0; }", _.messages.rejectedAfter());
  tr.notOk("a { color: pink;\ntop: 0; }", _.messages.rejectedAfter());
  tr.notOk("a { color: pink;\ttop: 0; }", _.messages.rejectedAfter());
});

testRule("always-single-line", function (tr) {
  tr.ok("a {}");
  tr.ok("a { color: pink; }");
  tr.ok("a::before { content: \";a\"; }");
  tr.ok("a { color: pink; top: 0;}", "no space between trailing semicolon and closing brace");

  // Ignore multi-line
  tr.ok("a {\n  color: pink;\n  top: 0;\n}");

  tr.notOk("a { color: pink;top: 0; }", _.messages.expectedAfterSingleLine());
  tr.notOk("a { color: pink;  top: 0; }", _.messages.expectedAfterSingleLine());
  tr.notOk("a { color: pink;\ttop: 0; }", _.messages.expectedAfterSingleLine());
});

testRule("never-single-line", function (tr) {
  tr.ok("a {}");
  tr.ok("a { color: pink; }");
  tr.ok("a::before { content: \"; a\"; }");
  tr.ok("a { color: pink;top: 0; }", "space between trailing semicolon and closing brace");

  // Ignore multi-line
  tr.ok("a {\n  color: pink; top: 0;\n}");

  tr.notOk("a { color: pink; top: 0; }", _.messages.rejectedAfterSingleLine());
  tr.notOk("a { color: pink;  top: 0; }", _.messages.rejectedAfterSingleLine());
  tr.notOk("a { color: pink;\ttop: 0; }", _.messages.rejectedAfterSingleLine());
});