"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRuleSetNoSingleLine = _testUtils.ruleTester(_2["default"], _.ruleName);

testRuleSetNoSingleLine(true, function (tr) {
  tr.ok("a {\ncolor: pink; }", "multi-line rule set with newline at start");
  tr.ok("a { color: pink;\n}", "multi-line rule set with newline at end");
  tr.ok("a { color: pink;\nbackground: orange; }", "multi-line rule set with newline in middle");

  tr.notOk("a { color: pink; }", _.messages.rejected, "single-line rule set");
  tr.notOk("@media print {\na { color: pink; }}", _.messages.rejected, "single-line rule set within multi-line at-rule");
});

testRuleSetNoSingleLine(false, function (tr) {
  tr.ok("a {\ncolor: pink;\n}", "multi-line rule set");
  tr.ok("a { color: pink; }", "single-line rule set");
});