"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = _testUtils.ruleTester(_2["default"], _.ruleName);

testRule("always", function (tr) {
  tr.ok("");
  tr.ok("a {}", "first node ignored");
  tr.ok("@media { a {} }", "nested node ignored");
  tr.ok("b {}\n\na {}");
  tr.ok("b {}\n  \t\n\na {}");
  tr.ok("b {}\n\n\ta {}");

  tr.notOk("b {} a {}", _.messages.expected);
  tr.notOk("b {}\na {}", _.messages.expected);
  tr.notOk("b {}\n\n/* comment here*/\na {}", _.messages.expected);
});

testRule("never", function (tr) {
  tr.ok("");
  tr.ok("\n\na {}", "first node ignored");
  tr.ok("@media {\n\na {} }", "nested node ignored");
  tr.ok("b {}\na {}");
  tr.ok("b {}\n  \t\na {}");
  tr.ok("b {}\ta {}");

  tr.notOk("b {}\n\na {}", _.messages.rejected);
  tr.notOk("b {}\t\n\n\ta {}", _.messages.rejected);
  tr.notOk("b {}\n\n/* comment here*/\n\na {}", _.messages.rejected);
});

testRule("always-multi-line", function (tr) {
  tr.ok("");
  tr.ok("a {}", "first node ignored");
  tr.ok("@media { a\n{} }", "nested node ignored");
  tr.ok("b {}\na {}", "single-line ignored");
  tr.ok("b\n{}\n\na\n{}");
  tr.ok("b\n{}\n  \t\n\na\n{}");
  tr.ok("b {}\n\n\ta\n{}");

  tr.notOk("b {} a\n{}", _.messages.expected);
  tr.notOk("b\n{}\na\n{}", _.messages.expected);
  tr.notOk("b {}\n\n/* comment here*/\na\n{}", _.messages.expected);
});

testRule("never-multi-line", function (tr) {
  tr.ok("");
  tr.ok("\n\na\n{}", "first node ignored");
  tr.ok("@media\n{\n\na\n{} }", "nested node ignored");
  tr.ok("b {}\n\na {}", "single-line ignored");
  tr.ok("b\n{}\n  \t\na\n{}");
  tr.ok("b {}\ta\n{}");

  tr.notOk("b {}\n\na\n{}", _.messages.rejected);
  tr.notOk("b {}\t\n\n\ta\n{}", _.messages.rejected);
  tr.notOk("b {}\n\n/* comment here*/\n\na\n{}", _.messages.rejected);
});