"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  tr.ok("a {}");
  tr.ok("a\n,b {}");
  tr.ok("a\n,b\n,c {}");
  tr.ok("a\n, b {}");
  tr.ok("a\n,\nb {}");
  tr.ok("a\n,b[data-foo=\"tr,tr\"] {}");

  tr.notOk("a,b {}", _.messages.expectedBefore());
  tr.notOk("a ,b {}", _.messages.expectedBefore());
  tr.notOk("a  ,b {}", _.messages.expectedBefore());
  tr.notOk("a\t,b {}", _.messages.expectedBefore());
  tr.notOk("a\n,b,c {}", _.messages.expectedBefore());
  tr.notOk("a\n,b\n ,c {}", _.messages.expectedBefore());
});

testRule("never", function (tr) {
  tr.ok("a {}");
  tr.ok("a,b {}");
  tr.ok("a,b,c {}");
  tr.ok("a, b {}");
  tr.ok("a,\nb {}");
  tr.ok("a,b[data-foo=\"tr ,tr\"] {}");

  tr.notOk("a ,b {}", _.messages.rejectedBefore());
  tr.notOk("a  ,b {}", _.messages.rejectedBefore());
  tr.notOk("a\t,b {}", _.messages.rejectedBefore());
  tr.notOk("a,b ,c {}", _.messages.rejectedBefore());
  tr.notOk("a,b\n ,c {}", _.messages.rejectedBefore());
});