"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  tr.ok("a {}");
  tr.ok("a, b {}");
  tr.ok("a, b, c {}");
  tr.ok("a , b {}");
  tr.ok("a\n, b {}");
  tr.ok("a, b[data-foo=\"tr,tr\"] {}");

  tr.notOk("a,b {}", _.messages.expectedAfter());
  tr.notOk("a,  b {}", _.messages.expectedAfter());
  tr.notOk("a,\nb {}", _.messages.expectedAfter());
  tr.notOk("a,\tb {}", _.messages.expectedAfter());
  tr.notOk("a, b,c {}", _.messages.expectedAfter());
  tr.notOk("a, b,  c {}", _.messages.expectedAfter());
});

testRule("never", function (tr) {
  tr.ok("a {}");
  tr.ok("a,b {}");
  tr.ok("a,b,c {}");
  tr.ok("a ,b {}");
  tr.ok("a\n,b {}");
  tr.ok("a,b[data-foo=\"tr, tr\"] {}");

  tr.notOk("a, b {}", _.messages.rejectedAfter());
  tr.notOk("a,  b {}", _.messages.rejectedAfter());
  tr.notOk("a,\nb {}", _.messages.rejectedAfter());
  tr.notOk("a,\tb {}", _.messages.rejectedAfter());
  tr.notOk("a,b, c {}", _.messages.rejectedAfter());
  tr.notOk("a,b,  c {}", _.messages.rejectedAfter());
});