"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _tape = require("tape");

var _tape2 = _interopRequireDefault(_tape);

var _functionArguments = require("../functionArguments");

var _functionArguments2 = _interopRequireDefault(_functionArguments);

(0, _tape2["default"])("passes function arguments to callback", function (t) {
  (0, _functionArguments2["default"])("calc(1 + 3)", "calc", function (args) {
    t.equal(args, "1 + 3");
  });
  (0, _functionArguments2["default"])("4px 5px calc(1px + 3px)", "calc", function (args) {
    t.equal(args, "1px + 3px");
  });
  t.end();
});

(0, _tape2["default"])("works with nested functions", function (t) {
  var calcArgs = [];
  (0, _functionArguments2["default"])("4px 5px calc(calc(1px + 2px) + 3px)", "calc", function (args) {
    calcArgs.push(args);
  });
  t.deepEqual(calcArgs, ["calc(1px + 2px) + 3px", "1px + 2px"]);

  var colorFuncValue = "color(red s(- 10%) s( - 10%))";
  (0, _functionArguments2["default"])(colorFuncValue, "color", function (args) {
    t.equal(args, "red s(- 10%) s( - 10%)");
  });
  var sArgs = [];
  (0, _functionArguments2["default"])(colorFuncValue, "s", function (args) {
    sArgs.push(args);
  });
  t.deepEqual(sArgs, ["- 10%", " - 10%"]);
  t.end();
});

(0, _tape2["default"])("ignores strings", function (t) {
  (0, _functionArguments2["default"])("calc(1px)", "calc", function (args) {
    t.equal(args, "1px");
  });
  (0, _functionArguments2["default"])("\"calc(1px)\"", "calc", function (args) {
    t.equal(args, null);
  });
  t.end();
});