"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _assert = require("assert");

var _assert2 = _interopRequireDefault(_assert);

var _ruleMessages = require("./ruleMessages");

var _ruleMessages2 = _interopRequireDefault(_ruleMessages);

exports["default"] = function (ruleName, messages) {
  _assert2["default"](isFunction(messages.expectedBefore), err("expectedBefore"));
  _assert2["default"](isFunction(messages.rejectedBefore), err("rejectedBefore"));
  _assert2["default"](isFunction(messages.expectedAfter), err("expectedAfter"));
  _assert2["default"](isFunction(messages.rejectedAfter), err("rejectedAfter"));
  return _ruleMessages2["default"](ruleName, messages);
};

function err(x) {
  return "The messages object passed to standardWhitespaceMessages must have a " + x + " function";
}

function isFunction(x) {
  return typeof x === "function";
}
module.exports = exports["default"];